Subject: Re: [PATCH/RFC] gitweb: Create install target for gitweb in Makefile

From: "J.H." <[email-masked]>
Date: Tue, 11 May 2010 16:49:56 -0700

On 05/11/2010 04:45 PM, Petr Baudis wrote:
> On Sat, May 01, 2010 at 10:36:15PM +0200, Jakub Narebski wrote:
>> Subject: [PATCHv2] gitweb: Create install target for gitweb in Makefile
>>
>> Installing gitweb is now as easy as
>>
>>   # make gitwebdir=/var/www/cgi-bin gitweb-install  ;# as root
>>
>> The gitweb/INSTALL file was updated accordingly, to make use of this
>> new target.
>>
>> Fix shell quoting, i.e. setting bindir_SQ etc., in gitweb/Makefile.
>> Those variables were not used previously.
>>
>> Signed-off-by: Jakub Narebski <[email-masked]>
> 
> Acked-by: Petr Baudis <[email-masked]>

Most installations I've seen install gitweb into /var/www/git[web] and
set it up to be CGI executable.  I'm not sure I've actually seen cgi-bin
used on most systems in quite a long time.

Just my $0.02

- John 'Warthog9' Hawley